Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Variables
eztrade/user/extendedsearch.php File Reference

Go to the source code of this file.

## Variables
| $ini =& eZINI::instance( 'site.ini' )
| $Language = $ini->variable( "eZTradeMain", "Language" )
| $ShowPriceGroups = $ini->variable( "eZTradeMain", "PriceGroupsEnabled" ) == "true"
| $RequireUserLogin = $ini->variable( "eZTradeMain", "RequireUserLogin" ) == "true"
| $ExtendedSearchCategories = $ini->read_array( "eZTradeMain", "ExtendedSearchCategories" )
| $MaxSearchForProducts = $ini->variable( "eZTradeMain", "MaxSearchForProducts" )
| $SmallImageWidth = $ini->variable( "eZTradeMain", "SmallImageWidth" )
| $SmallImageHeight = $ini->variable( "eZTradeMain", "SmallImageHeight" )
if(isset( $SearchButton)) | $user =& eZUser::currentUser()
| $t
| $priceRange = explode( "-", $PriceRange )
| $PriceLower = $priceRange[0]
| $PriceHigher = $priceRange[1]
| $product = new eZProduct()
if( $Action=="SearchButton") if(( $MaxSearchForProducts !=0) &&( $MaxSearchForProducts< $totalCount)) | $locale = new eZLocale( $Language )
| $i =0
if(count( $productList) > 0) | else
| $category = new eZProductCategory()
| $categoryList = array()
foreach( $ExtendedSearchCategories as $category) | $subCategories = ""
| $prevOffs = $Offset - $Limit
| $nextOffs = $Offset + $Limit

## Variable Documentation

## ◆ $category

$category = new eZProductCategory()

Definition at line 283 of file eztrade/user/extendedsearch.php.

## ◆ $categoryList

$categoryList = array()

Definition at line 286 of file eztrade/user/extendedsearch.php.

## ◆ $ExtendedSearchCategories

$ExtendedSearchCategories = $ini->read_array( "eZTradeMain", "ExtendedSearchCategories" )

Definition at line 40 of file eztrade/user/extendedsearch.php.

## ◆ $i

$i =0

Definition at line 210 of file eztrade/user/extendedsearch.php.

## ◆ $ini

$ini =& eZINI::instance( 'site.ini' )

Definition at line 35 of file eztrade/user/extendedsearch.php.

## ◆ $Language

$Language = $ini->variable( "eZTradeMain", "Language" )

Definition at line 37 of file eztrade/user/extendedsearch.php.

## ◆ $locale

if ($Action=="SearchButton") if (($MaxSearchForProducts !=0) &&($MaxSearchForProducts< $totalCount)) $locale = new eZLocale( $Language )

Definition at line 209 of file eztrade/user/extendedsearch.php.

## ◆ $MaxSearchForProducts

$MaxSearchForProducts = $ini->variable( "eZTradeMain", "MaxSearchForProducts" )

Definition at line 41 of file eztrade/user/extendedsearch.php.

## ◆ $nextOffs

$nextOffs = $Offset + $Limit

Definition at line 342 of file eztrade/user/extendedsearch.php.

## ◆ $prevOffs

$prevOffs = $Offset - $Limit

Definition at line 341 of file eztrade/user/extendedsearch.php.

## ◆ $PriceHigher

$PriceHigher = $priceRange[1]

Definition at line 89 of file eztrade/user/extendedsearch.php.

## ◆ $PriceLower

$PriceLower = $priceRange[0]

Definition at line 88 of file eztrade/user/extendedsearch.php.

## ◆ $priceRange

$priceRange = explode( "-", $PriceRange )

Definition at line 85 of file eztrade/user/extendedsearch.php.

Referenced by eZProduct\priceRange(), renderFrontpageProduct(), and renderFrontpageProductDouble().

## ◆ $product

$product = new eZProduct()

Definition at line 92 of file eztrade/user/extendedsearch.php.

## ◆ $RequireUserLogin

$RequireUserLogin = $ini->variable( "eZTradeMain", "RequireUserLogin" ) == "true"

Definition at line 39 of file eztrade/user/extendedsearch.php.

## ◆ $ShowPriceGroups

$ShowPriceGroups = $ini->variable( "eZTradeMain", "PriceGroupsEnabled" ) == "true"

Definition at line 38 of file eztrade/user/extendedsearch.php.

## ◆ $SmallImageHeight

$SmallImageHeight = $ini->variable( "eZTradeMain", "SmallImageHeight" )

Definition at line 44 of file eztrade/user/extendedsearch.php.

## ◆ $SmallImageWidth

$SmallImageWidth = $ini->variable( "eZTradeMain", "SmallImageWidth" )

Definition at line 43 of file eztrade/user/extendedsearch.php.

## ◆ $subCategories

foreach ($ExtendedSearchCategories as $category) $subCategories = ""

Definition at line 296 of file eztrade/user/extendedsearch.php.

## ◆ $t

$t

Initial value:
= new eZTemplate( "kernel/eztrade/user/" . $ini->variable( "eZTradeMain", "TemplateDir" ) ,
"kernel/eztrade/user/intl/", $Language, "extendedsearch.php" )
eZTemplate
Definition: eztemplate.php:107
$Language
$Language
Definition: eztrade/user/extendedsearch.php:37
$ini
$ini
Definition: eztrade/user/extendedsearch.php:35

Definition at line 61 of file eztrade/user/extendedsearch.php.

## ◆ $user

if (isset($SearchButton)) $user =& eZUser::currentUser()

Definition at line 59 of file eztrade/user/extendedsearch.php.

## ◆ else

if (count($productList) > 0) else

Initial value:
{
$t->set_var( "product_search_list", "" )
$t
$t
Definition: eztrade/user/extendedsearch.php:61

Definition at line 274 of file eztrade/user/extendedsearch.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.